### File

`packages/components/layout/eui-toolbar/toolbar-selector/toolbar-selector.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar-selector`
imports | `AsyncPipe` `EUI_BUTTON` `EUI_ICON` `EUI_ICON_BUTTON`
templateUrl | `./toolbar-selector.component.html`
styleUrl | `./toolbar-selector.component.scss`

### Index

###### Properties

- class

###### Methods

- onClick

###### Inputs

- euiDisabled
- iconSvgName
- label

###### Outputs

- selectorClick

###### HostBindings

- class

### Inputs

euiDisabled
Type : `boolean`
Default value : `false`

iconSvgName
Type : `string`

label
Type : `string`

### Outputs

selectorClick
Type : `EventEmitter<boolean>`

### HostBindings

class
Type : `string`
Default value : `'eui-toolbar-selector'`

### Methods

onClick
`onClick()`
Returns : `void`

### Properties

class
Type : `string`
Default value : `'eui-toolbar-selector'`
Decorators : `@HostBinding()`

# results matching ""

# No results matching ""